Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

From: Bert Greevenbosch <[email-masked]>
Date: Wed, 07 Mar 2012 02:54:35 +0000

Hi all,

On Monday, I have uploaded a v00 draft for "Hitchhiker's Guide to SDP". It is based on the "Hitchhiker's Guide to SIP" (RFC 5411). I have copied most initial text from there, and in addition included an initial list of RFCs / drafts that seem relevant.

https://datatracker.ietf.org/doc/draft-greevenbosch-hitchhikersguide-sdp/

If the group is happy with this approach, I will be happy to maintain an editor's role, and write more text. Obviously other people's input will be highly appreciated, and indeed is needed.

I look forward to your comments.

Best regards,
Bert

P.S. Unfortunately, I forgot to include "mmusic" in the name of the draft. How to deal with this?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 27 February 2012 04:53
To: Gonzalo Camarillo; Mary Barnes
Cc: [email-masked]
Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

Hi,

As a directorate member, I am willing to co-author such draft, should a decision to write one be taken.

Regards,

Christer 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Gonzalo Camarillo
Sent: 23. helmikuuta 2012 19:31
To: Mary Barnes
Cc: [email-masked]
Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

I agree.

Gonzalo

On 23/02/2012 7:06 PM, Mary Barnes wrote:
> I would think that in order for the document to have integrity that at 
> least one of the directorate members should at least be a co-author.
>  Otherwise, I see a lot more stuff falling through the cracks and 
> needing to be resolved during WGLC and later, which usually isn't a 
> good thing.  The SIP Hitchhiker's guide provides a good example in 
> that the author was also a primary contributor to RFC3261, etc.
> 
> Mary. 
> 
> On Thu, Feb 23, 2012 at 6:30 AM, Gonzalo Camarillo 
> <[email-masked] 
> <mailto:[email-masked]>>
> wrote:
> 
>     Hi Mary,
> 
>     yes, the members of the SDP directorate would need to review such a
>     guide. However, the fact that they agreed to be members of the
>     directorate does not mean they will necessarily have cycles to
>     significantly contribute to the creation of the guide. We need to make
>     sure we have enough energy around this effort in order to start it.
> 
>     Cheers,
> 
>     Gonzalo
> 
>     On 15/02/2012 7:14 PM, Mary Barnes wrote:
>     > I think this is a good idea.  I would think the experts that can
>     > contribute (and should review) can be found in the new SDP
>     > directorate:
>     > http://www.ietf.org/iesg/directorate/sdp.html
>     > BTW, it would be nice to have a link to this page on the MMUSIC WG
>     wiki:
>     > http://trac.tools.ietf.org/wg/mmusic/trac/wiki
>     >
>     > As far as whether to publish, I think it would be a good idea to
>     > complete publication as IMHO that improves the integrity of the
>     > information - i.e., more eyes review a published RFC than a draft.
>     > It could later be updated to reflect more recent RFCs OR a "More of
>     > Hitchhikers Guide" could be published.
>     >
>     > Thanks,
>     > Mary.
>     >
>     > On Wed, Feb 15, 2012 at 12:29 AM, Bert Greevenbosch
>     > <[email-masked]
>     <mailto:[email-masked]>> wrote:
>     >> Hi Miguel, Andrew, all,
>     >>
>     >> Sounds like a good idea. I would be happy to volunteer to play a
>     central role in it (i.e. be the editor, create the initial draft,
>     ...), but I would need support from other experts too.
>     >>
>     >> As for practicalities, I see that the "Hitchhiker's Guide to SIP"
>     has become an RFC (5411). That means that it has been frozen, and to
>     add new info new individual or WG drafts are needed.
>     >>
>     >> Would this be the same approach for SDP? Currently, there are
>     already quite some new drafts that extend SDP. How will future
>     extensions be handled? Maybe it would be good to make it a permanent
>     WG draft, which is updated every now and then.
>     >>
>     >> Best regards,
>     >> Bert
>     >>
>     >>
>     >> -----Original Message-----
>     >> From: [email-masked] <mailto:[email-masked]>
>     [mailto:[email-masked] <mailto:[email-masked]>] On
>     Behalf Of Miguel A. Garcia
>     >> Sent: 14 February 2012 15:42
>     >> To: Andrew Allen
>     >> Cc: [email-masked] <mailto:[email-masked]>
>     >> Subject: Re: [MMUSIC] Do we need to update in time 4566bis?
>     >>
>     >> Sounds good to me too. If someone wants to start such draft...
>     >>
>     >> /Miguel
>     >>
>     >> On 13/02/2012 23:15, Andrew Allen wrote:
>     >>>
>     >>> What about considering a hitchhikers guide to SDP similar to
>     what was done for SIP?
>     >>>
>     >>> One umbrella document that points the reader to all the SDP
>     capabilities available that they might want to take advantage of.
>     >>>
>     >>> Just a suggestion.
>     >>>
>     >>> Andrew
>     >>>
>     >>> ----- Original Message -----
>     >>> From: Miguel A. Garcia [mailto:[email-masked]
>     <mailto:[email-masked]>]
>     >>> Sent: Saturday, January 28, 2012 06:23 AM
>     >>> To: mmusic<[email-masked] <mailto:[email-masked]>>
>     >>> Subject: [MMUSIC] Do we need to update in time 4566bis?
>     >>>
>     >>> <as an individual>
>     >>>
>     >>> Hi all,
>     >>>
>     >>> You know we are revising RFC 4566. So far, the effort has been
>     in bug fixing.
>     >>>
>     >>> The first SDP version was published as RFC 2327 in 1998 (i.e.,
>     14 years
>     >>> ago), and was then revised as RFC 4566 in 2006.
>     >>>
>     >>> Lots of things have happened since then. We have SDP offer answer,
>     >>> Grouping, QoS, ATM, Bandwidth modifiers, TCP media, SDES, comeida,
>     >>> labels, BFCP, FEC, ICE, CapNeg, and many other that are in the pipe.
>     >>>
>     >>>   From the point of view of a reader who takes 4566 (or its current
>     >>> 4566bis incarnation), I think it will be difficult for her or him to
>     >>> understand a protocol that ignores those other extensions. For
>     example, I
>     >>> recently post another e-mail where there is an apparent
>     contradiction
>     >>> between 4566 and ICE (see
>     >>> http://www.ietf.org/mail-archive/web/mmusic/current/msg09089.html ).
>     >>>
>     >>> So, I was wondering if time has come to make not a bug correction in
>     >>> 4566bis, but also put that RFC in context with the other
>     extensions that
>     >>> exist. This may include:
>     >>>
>     >>> - Add minor extensions to the core document, similarly to what
>     we did
>     >>> with IPv6 support (i.e., 4566 = 2327 + 3266). I don't know which
>     of these
>     >>> extensions make sense to include, this would be an exercise to
>     do, but
>     >>> let me give you one potential example: RFC 4574, the SDP "label"
>     >>> attribute is a 6 pages RFC.
>     >>>
>     >>> - Adding references to extensions, when it makes sense. For
>     example, ICE
>     >>> should be referred somewhere (see my previous post regarding the "o"
>     >>> line). I guess capneg could be also mentioned, perhaps others.
>     >>>
>     >>> I know this is a bigger effort than anticipated, but the result
>     could
>     >>> really help newcomers to this world.
>     >>>
>     >>> Now, it is your turn to express your opinions. Please do it.
>     >>>
>     >>> /Miguel
>     >>
>     >> --
>     >> Miguel A. Garcia
>     >> +34-91-339-3608 <tel:%2B34-91-339-3608>
>     >> Ericsson Spain
>     >> _______________________________________________
>     >> mmusic mailing list
>     >> [email-masked] <mailto:[email-masked]>
>     >> https://www.ietf.org/mailman/listinfo/mmusic
>     >> _______________________________________________
>     >> mmusic mailing list
>     >> [email-masked] <mailto:[email-masked]>
>     >> https://www.ietf.org/mailman/listinfo/mmusic
>     > _______________________________________________
>     > mmusic mailing list
>     > [email-masked] <mailto:[email-masked]>
>     > https://www.ietf.org/mailman/listinfo/mmusic
>     >
> 
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Wed, 7 Mar 2012 11:56:19 +0100

Bert,

Here is another document with the same purpose. You can use it for 
inspiration. This is a bit more complex document, because it has to deal 
with several different protocols, rather than only one.

http://tools.ietf.org/html/draft-ietf-opsawg-management-stds

The other document that you need to consult is the IANA SDP Parameters 
registry at:

http://www.iana.org/assignments/sdp-parameters/sdp-parameters.xml

This contains a list of all the SDP extensions, and they all should be 
listed in the hitchhiker's guide.

/Miguel

On 07/03/2012 3:54, Bert Greevenbosch wrote:
>>      >>  From: [email-masked]<mailto:[email-masked]>
>>      [mailto:[email-masked]<mailto:[email-masked]>] On
>>      >>  Cc: [email-masked]<mailto:[email-masked]>
>>      >>>  To: mmusic<[email-masked]<mailto:[email-masked]>>
>>      >>  +34-91-339-3608<tel:%2B34-91-339-3608>
>>      >>  Ericsson Spain
>>      >>  [email-masked]<mailto:[email-masked]>
>>      >>  [email-masked]<mailto:[email-masked]>
>>      >  [email-masked]<mailto:[email-masked]>

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 7 Mar 2012 15:24:41 +0100

I notice RFC 3264 is mentioned as one of the core specifications.

This only becomes core when SDP is used in the context of SIP.

If I am a Megaco / H.248 user of SDP I suspect therefore I come up with a different viewpoint of what is core and what is not.

We may need to address these different viewpoints, unless you want to make a guide that is entirely focused on SIP usage.

Regards

Keith

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Miguel A. Garcia
> Sent: 07 March 2012 10:56
> To: Bert Greevenbosch
> Cc: [email-masked]
> > On Monday, I have uploaded a v00 draft for "Hitchhiker's Guide to SDP".
> It is based on the "Hitchhiker's Guide to SIP" (RFC 5411). I have copied
> most initial text from there, and in addition included an initial list of
> RFCs / drafts that seem relevant.
> >
> > If the group is happy with this approach, I will be happy to maintain an
> editor's role, and write more text. Obviously other people's input will be
> highly appreciated, and indeed is needed.
> >
> >>      >>>  http://www.ietf.org/mail-
> archive/web/mmusic/current/msg09089.html ).
> >>      >>>

---

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Wed, 7 Mar 2012 15:58:58 +0100

> If I am a Megaco / H.248 user of SDP I suspect therefore I come up with a different viewpoint of what is core and what is not.

Good point.

The Megaco/H.248 hitchhiker's guide to SDP should include at least, e.g.:
1) ITU-T H.248.1 Version 3 Amendment 2: "Summary - H.248 usage of SDP"
2) ITU-T H.248.15: "SDP H.248 package attribute"
3) ITU-T H.248.39: "H.248 SDP parameter identification and wildcarding"
4) ITU-T H.248.49: "Session description protocol RFC and capabilities packages"
5) ITU-T H.248.80: "Usage of the revised SDP offer / answer model with H.248" (Draft)
6) ETSI 183 046: "SDP Interworking between Call/Session Control Protocols (SIP/SDP, RTSP/SDP; etc.) and the Gateway Control Protocol (H.248/SDP)"

Such an "Megaco/H.248 hitchhiker's guide to SDP" should be incorporated in an "Hitchhiker's guide to SDP" in my opinion.

Regards
Albrecht

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of DRAGE, Keith (Keith)
Sent: Mittwoch, 7. März 2012 15:25
To: Miguel A. Garcia; Bert Greevenbosch
Cc: [email-masked]
Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

Regards

Keith

> Of Christer Holmberg
> Of Gonzalo Camarillo

---

From: Mary Barnes <[email-masked]>
Date: Wed, 7 Mar 2012 09:03:04 -0600

Per Albrecht response, I think we would open a can of worms if we want this
to be a general guide on SDP for all usages.  I would prefer to keep it
limited to SIP at this time, which I think is no small task. Then another
document, modeled after this one,  could cover other usages if the
interested parties think it would be helpful.

Mary.

On Wed, Mar 7, 2012 at 8:24 AM, DRAGE, Keith (Keith) <
[email-masked]> wrote:

> If I am a Megaco / H.248 user of SDP I suspect therefore I come up with a
> different viewpoint of what is core and what is not.
>
> We may need to address these different viewpoints, unless you want to make
> a guide that is entirely focused on SIP usage.
>
> Regards
>
> Keith
>
> > >>      >  BTW, it would be nice to have a link to this page on the
> MMUSIC
> > WG
> > >>      wiki:
> > >>      >>  Sounds like a good idea. I would be happy to volunteer to
> play
> > a
> > >>      >>  From: [email-masked]<mailto:[email-masked]
> >
> > >>      >>>  4566bis incarnation), I think it will be difficult for her
> or
> > him to

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 7 Mar 2012 16:16:26 +0100

I'm not sure that is the right answer.

There are many points where SDP used by H.248 has to be generated based on what is received in the SDP received from SIP. If we do not address those relationships in some way we would appear to have a less than useful document (and two separate documents would not do that).

I would at least suggest we investigate whether it is possible rather to do a combined document rather than eliminate that possibility at start.

Regards

Keith

________________________________
From: Mary Barnes [mailto:[email-masked]]
Sent: 07 March 2012 15:03
To: DRAGE, Keith (Keith)
Cc: Miguel A. Garcia; Bert Greevenbosch; [email-masked]
Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

Per Albrecht response, I think we would open a can of worms if we want this to be a general guide on SDP for all usages.  I would prefer to keep it limited to SIP at this time, which I think is no small task. Then another document, modeled after this one,  could cover other usages if the interested parties think it would be helpful.

Mary.
On Wed, Mar 7, 2012 at 8:24 AM, DRAGE, Keith (Keith) <[email-masked]<mailto:[email-masked]>> wrote:
I notice RFC 3264 is mentioned as one of the core specifications.

Regards

Keith

> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf
> Of Miguel A. Garcia
> > From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf
> Of Christer Holmberg
> > From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf
> Of Gonzalo Camarillo
> >> <[email-masked]<mailto:[email-masked]>
> >> <mailto:[email-masked]<mailto:[email-masked]>>>
> >> wrote:
> >>
> >>      Hi Mary,
> >>
> >>      >  <[email-masked]<mailto:[email-masked]>
> >>      <mailto:[email-masked]<mailto:[email-masked]>>>  wrote:
> >>      >>  Hi Miguel, Andrew, all,
> >>      >>
> >>      >>  From: [email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>
> >>      [mailto:[email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>]
> On
> >>      >>  Cc: [email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>
> >>      >>>  From: Miguel A. Garcia [mailto:[email-masked]<mailto:[email-masked]>
> >>      <mailto:[email-masked]<mailto:[email-masked]>>]
> >>      >>>  To: mmusic<[email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>>
> >>      >>  +34-91-339-3608<tel:%2B34-91-339-3608><tel:%2B34-91-339-3608>
> >>      >>  Ericsson Spain
> >>      >>  [email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>
> >>      >>  [email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>
> >>      >  [email-masked]<mailto:[email-masked]><mailto:[email-masked]<mailto:[email-masked]>>

---

From: Gonzalo Salgueiro <[email-masked]>
Date: Wed, 7 Mar 2012 10:19:19 -0500

I agree. Limiting it to SIP seems sufficiently Herculean for one document IMO.

Gonzalo

On Mar 7, 2012, at 10:03 AM, Mary Barnes wrote:

> On Wed, Mar 7, 2012 at 8:24 AM, DRAGE, Keith (Keith) <[email-masked]> wrote:

---

From: "Severa, Michael J (Mike)" <[email-masked]>
Date: Wed, 7 Mar 2012 11:59:38 -0600

If the goal is to limit to SIP or even IMS environments then the title of the document should reflect that.

SDP is used in many non-SIP environments.

Mike

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Gonzalo Salgueiro
Sent: Wednesday, March 07, 2012 7:19 AM
To: Mary Barnes
Cc: DRAGE, Keith (Keith); [email-masked]
Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

Gonzalo

Mary.

Regards

Keith

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 07 Mar 2012 16:10:27 -0500

> SDP is used in many non-SIP environments.

I think you can be confident that it won't be limited to the IMS 
environment. (Unless the IMS community chooses to submit such a document.)

	Thanks,
	Paul

> Mike
> ------------------------------------------------------------------------
> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *Gonzalo Salgueiro
> *Sent:* Wednesday, March 07, 2012 7:19 AM
> *To:* Mary Barnes
> *Cc:* DRAGE, Keith (Keith); [email-masked]
> *Subject:* Re: [MMUSIC] Hitchhiker's guide to SDP
>
>> Per Albrecht response, I think we would open a can of worms if we want
>> this to be a general guide on SDP for all usages. I would prefer to
>> keep it limited to SIP at this time, which I think is no small task.
>> Then another document, modeled after this one, could cover other
>> usages if the interested parties think it would be helpful.
>>
>> Mary.
>>
>> On Wed, Mar 7, 2012 at 8:24 AM, DRAGE, Keith (Keith)
>> <[email-masked]
>> <mailto:[email-masked]>> wrote:
>>
>>     If I am a Megaco / H.248 user of SDP I suspect therefore I come up
>>     with a different viewpoint of what is core and what is not.
>>
>>     We may need to address these different viewpoints, unless you want
>>     to make a guide that is entirely focused on SIP usage.
>>
>>     Regards
>>
>>     Keith
>>
>>     [mailto:[email-masked] <mailto:[email-masked]>]
>>     On Behalf
>>     > Of Miguel A. Garcia
>>     > > P.S. Unfortunately, I forgot to include "mmusic" in the name
>>     of the
>>     > draft. How to deal with this?
>>     > >
>>     > >
>>     > >
>>     [mailto:[email-masked] <mailto:[email-masked]>]
>>     On Behalf
>>     > Of Christer Holmberg
>>     > > As a directorate member, I am willing to co-author such draft,
>>     should a
>>     > decision to write one be taken.
>>     > >
>>     > > Regards,
>>     > >
>>     > > Christer
>>     > >
>>     [mailto:[email-masked] <mailto:[email-masked]>]
>>     On Behalf
>>     > Of Gonzalo Camarillo
>>     <mailto:[email-masked]>
>>     > >> <mailto:[email-masked]
>>     <mailto:[email-masked]>>>
>>     > >> wrote:
>>     > >>
>>     > >> Hi Mary,
>>     > >>
>>     <mailto:[email-masked]>
>>     > >> <mailto:[email-masked]
>>     <mailto:[email-masked]>>> wrote:
>>     > >> >> Hi Miguel, Andrew, all,
>>     > >> >>
>>     > >> >> From: [email-masked]
>>     <mailto:[email-masked]><mailto:[email-masked]
>>     <mailto:[email-masked]>>
>>     > >> [mailto:[email-masked]
>>     <mailto:[email-masked]><mailto:[email-masked]
>>     <mailto:[email-masked]>>]
>>     > On
>>     <mailto:[email-masked]><mailto:[email-masked]
>>     <mailto:[email-masked]>>
>>     <mailto:[email-masked]>
>>     > >> >>> To: mmusic<[email-masked]
>>     <mailto:[email-masked]><mailto:[email-masked]
>>     <mailto:[email-masked]>>>
>>     > >> >> +34-91-339-3608 <tel:%2B34-91-339-3608><tel:%2B34-91-339-3608>
>>     > >> >> Ericsson Spain
>>     <mailto:[email-masked]><mailto:[email-masked]
>>     <mailto:[email-masked]>>
>>     <mailto:[email-masked]><mailto:[email-masked]
>>     <mailto:[email-masked]>>
>>     <mailto:[email-masked]><mailto:[email-masked]
>>     <mailto:[email-masked]>>

---

From: Bert Greevenbosch <[email-masked]>
Date: Thu, 08 Mar 2012 02:24:17 +0000

Hi all,

Interesting discussion. When I created the new draft, I took the SIP guide and narrowed it down by pruning all SIP specific references. I then added references specific to SDP.

So the current version of the draft is a guide to "core SDP", but not to dependent technologies. That's one approach, but indeed another would be to include dependent technologies like SIP and Megaco/H.248.

A third approach could be to keep the core documents, and then add some describing sections for the dependent technologies, but without discussing each of the documents that make up those technologies deeply.

Best regards,
Bert

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
Sent: 08 March 2012 05:10
To: [email-masked]
Subject: Re: [MMUSIC] Hitchhiker's guide to SIP SDP

	Thanks,
	Paul

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Thu, 8 Mar 2012 14:12:02 +0100

I think we need to start and see how big the document can be, and that 
can give us an idea of the scope at a later time.

My idea right now is that the document should describe all the usages of 
SDP documented in IETF documents. So, I am opening the scope to SIP, 
RTSP, H.248, and perhaps others. And I am closing it to extensions 
documented by third parties.

/Miguel

On 08/03/2012 3:24, Bert Greevenbosch wrote:
>>>      [mailto:[email-masked]<mailto:[email-masked]>]
>>>      On Behalf
>>>      >  Of Miguel A. Garcia
>>>      [mailto:[email-masked]<mailto:[email-masked]>]
>>>      On Behalf
>>>      >  Of Christer Holmberg
>>>      [mailto:[email-masked]<mailto:[email-masked]>]
>>>      On Behalf
>>>      >  Of Gonzalo Camarillo

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: Bert Greevenbosch <[email-masked]>
Date: Wed, 14 Mar 2012 01:24:40 +0000

Hi Miguel, all,

Thanks for these references. I consulted the IANA site when writing the first draft, but in light of the current discussion on the scope of the document, I may have to do that again.

The other reference (from opsawg) indeed contains some references to SIP.

Do I correctly sense that it is the general feeling of the group that SIP should be in scope of the document? How about Megaco/H.248 and RTSP?

Best regards,
Bert

-----Original Message-----
From: Miguel A. Garcia [mailto:[email-masked]] 
Sent: 07 March 2012 18:56
To: Bert Greevenbosch
Cc: [email-masked]
Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

Bert,

/Miguel

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Wed, 14 Mar 2012 09:04:30 +0100

Hi:

Let me restate my opinion, as an individual contributor, not as a chair.

I think the document, for it to be useful, has to list the 
usages/extensions of SDP in *any* IETF document. This includes SIP, 
H.248/MEGACO, and RTSP as a least.

So, I believe the document should have at least 4 sections, one where you 
discuss core documents used by any protocol (probably RFC 4566bis, 
perhaps a few others as well).  And then the document should list 
extensions that are believed to be useful with only one particular 
protocol (that one being SIP, H.248, or RTSP).

That leaves outside the scope of the document those extensions that are 
created in non-RFCs, for example, in ITU-T, ETSI, OMA, or 3GPP documents 
(assuming there are those extensions, I don't know). So we restrict the 
document to IETF-created extensions used by IETF-created protocols.

Of course, we can start listing SDP extensions to SIP documents, bearing 
in mind that this is not the final goal. So, we can leave for a next 
iteration the addition of additional extensions used by other protocols.

How about that?

/Miguel

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 14 Mar 2012 11:52:54 +0100

+1 on what Miguel says.

I support the structure Miguel proposes.

I believe that within that structure it should contain all the IETF created documents that are references from the SDP tables in IANA. There may be other documents associated with these that also need to be mentioned, but this will form the bulk of the documents required.

SIP is only in scope in so far as it creates a variant of SDP for its own use. Remember there is the SIP hitchhikers guide that should cover SIP extensions, and if you believe it is more appropriate to the scope of that document, then SIPCORE should revise the SIP hitchhikers guide.

If this proves ultimately to be a document that then becomes unmanageable, then we can think then about how we constrain the structure. Note that we seem to be talking about a document listing 60 approved RFCs and a maximum of another 20 or so that are in progress nearing completion.

The reference list for the SIP hitchhikers guide was well over a 100.

Regards

Keith

> Sent: 14 March 2012 08:05
> To: Bert Greevenbosch
> Cc: [email-masked]
> > Thanks for these references. I consulted the IANA site when writing the
> first draft, but in light of the current discussion on the scope of the
> document, I may have to do that again.
> >
> > Do I correctly sense that it is the general feeling of the group that
> SIP should be in scope of the document? How about Megaco/H.248 and RTSP?
> >
> > Best regards,
> > Bert
> >
> >
> >
> >> If the group is happy with this approach, I will be happy to maintain
> an editor's role, and write more text. Obviously other people's input will
> be highly appreciated, and indeed is needed.
> >>
> MMUSIC WG
> play a
> or him to

---

From: Andrew Allen <[email-masked]>
Date: Wed, 14 Mar 2012 12:44:20 +0000

+1

Maybe also having a reference to the IANA registry where to look for other proprietary extension attributes that have been registered with IANA would also be useful.

----- Original Message -----
From: Miguel A. Garcia [mailto:[email-masked]]
Sent: Wednesday, March 14, 2012 03:04 AM
To: Bert Greevenbosch <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [MMUSIC] Hitchhiker's guide to SDP

Hi:

How about that?

/Miguel

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.

---

From: Christian Groves <[email-masked]>
Date: Thu, 15 Mar 2012 14:44:35 +1100

Hello Miguel,

I would support the addition of H.248/Megaco to the document as a user 
of SDP. I'm not sure that there are IETF defined documents that extends 
SDP for H.248 only. H.248/Megaco defines how SDP is used rather than 
extending it. There is H.248.15 which is listed in IANA that defines a 
new SDP attribute but this isn't an IETF document but is related to 
Megaco/H.248 which was. Likewise as Albrecht pointed out there's several 
other documents: H.248.39, .49 and .80 which also describe how SDP is 
used rather than extend anything.

I'm not sure how this fits in with your proposal?

Regards, Christian

On 14/03/2012 7:04 PM, Miguel A. Garcia wrote:
> So, I believe the document should have at least 4 sections, one where 
> you discuss core documents used by any protocol (probably RFC 4566bis, 
> That leaves outside the scope of the document those extensions that 
> are created in non-RFCs, for example, in ITU-T, ETSI, OMA, or 3GPP 
> documents (assuming there are those extensions, I don't know). So we 
> restrict the document to IETF-created extensions used by IETF-created 
> protocols.
>
> Of course, we can start listing SDP extensions to SIP documents, 
> bearing in mind that this is not the final goal. So, we can leave for 
> a next iteration the addition of additional extensions used by other 
> protocols.
>
> How about that?
>
> /Miguel
>
>
>> Thanks for these references. I consulted the IANA site when writing 
>> the first draft, but in light of the current discussion on the scope 
>> of the document, I may have to do that again.
>>
>>> On Monday, I have uploaded a v00 draft for "Hitchhiker's Guide to 
>>> SDP". It is based on the "Hitchhiker's Guide to SIP" (RFC 5411). I 
>>> have copied most initial text from there, and in addition included 
>>> an initial list of RFCs / drafts that seem relevant.
>>>
>>> If the group is happy with this approach, I will be happy to 
>>> maintain an editor's role, and write more text. Obviously other 
>>> people's input will be highly appreciated, and indeed is needed.
>>>
>>> should a decision to write one be taken.
>>>
>>> Regards,
>>>
>>> Christer
>>>

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Thu, 15 Mar 2012 09:17:51 +0100

Hi Christian:

I believe the H.248/Megaco core protocol was a joint effort by the IETF 
and ITU-T, therefore, I think it should be listed.

Now, if ITU-T has extensions, such as H.248.15 and alike, that have been 
defined only by ITU-T, I think the IETF should not enter to describe 
them, because we (IETF) do not have the expertise, and probably we will 
not do a good job here. We can always make a note indicating that ITU-T 
has additional usages of SDP defined in [list specifications here].

/Miguel

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain